"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterNoneValueObject = exports.createParams = void 0;
var fromEntries = function (xs) {
    return Object.fromEntries
        ? Object.fromEntries(xs)
        : xs.reduce(function (acc, _a) {
            var _b;
            var key = _a[0], value = _a[1];
            return (__assign(__assign({}, acc), (_b = {}, _b[key] = value, _b)));
        }, {});
};
function createParams(conditions, defaultParams) {
    var _conditions = __assign(__assign({}, conditions), defaultParams);
    Object.entries(_conditions).forEach(function (_a) {
        var key = _a[0], value = _a[1];
        if (Array.isArray(value)) {
            _conditions[key] = value.join(',');
        }
    });
    return _conditions;
}
exports.createParams = createParams;
function filterNoneValueObject(object) {
    return fromEntries(Object.entries(object).filter(function (item) {
        var value = item[1];
        return (typeof value !== 'undefined' &&
            value !== null &&
            value !== '' &&
            value.length !== 0);
    }));
}
exports.filterNoneValueObject = filterNoneValueObject;
