import { ConditionsType } from './types';
declare global {
    interface ObjectConstructor {
        fromEntries(xs: [string | number | symbol, any][]): object;
    }
}
export declare function createParams(conditions: ConditionsType, defaultParams?: ConditionsType): ConditionsType;
export declare function filterNoneValueObject(object: ConditionsType): ConditionsType;
export declare function createQueryString(params: ConditionsType, ignoreKeys?: string[]): string;
export declare function syncQuery2Conditions(conditions: ConditionsType, query: ConditionsType): void;
